import java.net.*;
import java.io.*;

// Objecto SERIALIZAVEL
class Data implements Serializable {
  private int i;
  private int tabela[];
  public Data(int x){
  		i = x;
  		tabela = new int[10];
  		for(int j=0;j<10;j++)
  			tabela[j]=x;
  		}
  public String toString() {
    		return Integer.toString(i);
  		}
  public void print_conteudo() {
		for(int j=0;j<10;j++)
			System.out.print(tabela[j]+" " );
		System.out.println();
  		}
}

//================ TCP CLIENT ====================
public class TCPClient_O {
	public static void main (String args[]) {
	// args[0] <- hostname of destination
	if(args.length == 0){
		System.out.println("java TCPClient hostname");
		System.exit(0);
		}

	String texto;
	Socket s = null;
	int serversocket = 6000;
	  try{
	   	// 1o passo
	   	s = new Socket(args[0], serversocket);
	   	if(s == null)
	   		System.out.println("NAO CONSEGUIU CRIAR O SOCKET");

		// 2o passo
		DataInputStream in = new DataInputStream( s.getInputStream());
		DataOutputStream out =
			new DataOutputStream( s.getOutputStream());

		// Criar ObjecOutputStream e ObjectInputStream
        ObjectOutputStream obj_o = new ObjectOutputStream(out);
		ObjectInputStream obj_i = new ObjectInputStream(in);

		int contador=0;

	       // 3o passo
		while(contador < 5){
			contador++;
		        Data d = new Data(contador);
			obj_o.writeObject(d);
			obj_o.flush();
			d.print_conteudo();
			System.out.println("ENVIEI OBJECTO");
			String data = in.readUTF();
			System.out.println("Received: "+ data);

		}

     }catch (UnknownHostException e){
			System.out.println("Sock:"+e.getMessage());
	    }catch (EOFException e){System.out.println("EOF:"+e.getMessage());
    	    }catch (IOException e){System.out.println("IO:"+e.getMessage());
	}finally {if(s!=null) try {s.close();}catch (IOException e) {
		System.out.println("close:"+e.getMessage());}}

 }
}