import java.net.*;
import java.io.*;
public class UDPClient{
    public static void main(String args[]){ 
	String s;
	// argumentos da linha de comando: hostname 
	if(args.length == 0){
		System.out.println("java UDPClient hostname");
		System.exit(0);
		}
	DatagramSocket aSocket = null;
	  try {
		aSocket = new DatagramSocket();    
		
		while(true){
		System.out.print("Mensagem a enviar = ");
		s=User.readString();
		byte [] m = s.getBytes();
		InetAddress aHost = InetAddress.getByName(args[0]);
		int serverPort = 6789;		                                                
		DatagramPacket request = new DatagramPacket(m,m.length,aHost,serverPort);
		aSocket.send(request);			                        
		byte[] buffer = new byte[1000];
		DatagramPacket reply = new DatagramPacket(buffer, buffer.length);	
		aSocket.receive(reply);
		System.out.println("Recebeu: " + new String(reply.getData()));	
		} // while
	  }catch (SocketException e){System.out.println("Socket: " + e.getMessage());
	  }catch (IOException e){System.out.println("IO: " + e.getMessage());
	}finally {if(aSocket != null) aSocket.close();}
   } 
}