package PC;

public class PC
{
	public static void main(String args[])
	{
		Q q = new Q();
		new Producer(q);
		new Consumer(q);
	}
}
class Q
{
	int n;
	Semaphore sem_put, sem_get;

	public Q()
	{
		sem_put = new Semaphore(1);
		sem_get = new Semaphore(0);
	}

	int get()
	{
		System.out.println("get.sem_get.espera (" + sem_get.val + ", " + sem_put.val + ")");
		sem_get.espera();
		System.out.println("Got: " + n + "(" + sem_get.val + ", " + sem_put.val + ")");
		sem_put.notifica();
		System.out.println("get.sem_put.notifica (" + sem_get.val + ", " + sem_put.val + ")");
		return n;
	}

	void put(int n)
	{
		System.out.println("put.sem_put.espera (" + sem_get.val + ", " + sem_put.val + ")");
		sem_put.espera();
		this.n = n;
		System.out.println("Put: " + n + "(" + sem_get.val + ", " + sem_put.val + ")");
		sem_get.notifica();
		System.out.println("put.sem_get.notifica (" + sem_get.val + ", " + sem_put.val + ")");
	}
}

class Producer implements Runnable
{
	Q q;

	Producer(Q q)
	{
		this.q = q;
		new Thread(this, "Producer").start();
	}

	public void run()
	{
		int i = 0;
		while (i < 100)
		{
			q.put(i++);
		}
	}
}

class Consumer implements Runnable
{
	Q q;

	Consumer(Q q)
	{
		this.q = q;
		new Thread(this, "Consumer").start();
	}

	public void run()
	{
		int i = 0;
		long fim, inicio = System.currentTimeMillis();
		while (i < 100)
		{
			q.get();
			i++;
		}
		fim = System.currentTimeMillis();
		System.out.println(fim-inicio);
	}
}

