
import utils.User;

import java.io.IOException;
import java.net.DatagramPacket;
import java.net.DatagramSocket;
import java.net.InetAddress;
import java.net.SocketException;

public class UDPClient
		{
	public static void main(String args[])
	{
		String s;
		// argumentos da linha de comando: hostname
		DatagramSocket aSocket = null;
		try
		{
			aSocket = new DatagramSocket();

			while (true)
			{
				System.out.print("Mensagem a enviar = ");
				s = User.readString();
				byte[] m = s.getBytes();
				InetAddress aHost = InetAddress.getByName(args.length > 0 ? args[0] : "localhost");
				int serverPort = 6789;
				DatagramPacket request = new DatagramPacket(m, m.length, aHost, serverPort);
				aSocket.send(request);
				byte[] buffer = new byte[1000];
				DatagramPacket reply = new DatagramPacket(buffer, buffer.length);
				aSocket.receive(reply);
				System.out.println("Recebeu: " + new String(reply.getData()).substring(0, request.getLength()));
			} // while
		}
		catch (SocketException e)
		{
			System.out.println("Socket: " + e.getMessage());
		}
		catch (IOException e)
		{
			System.out.println("IO: " + e.getMessage());
		}
		finally
		{
			if (aSocket != null) aSocket.close();
		}
	}
}