
import java.io.IOException;
import java.net.DatagramPacket;
import java.net.DatagramSocket;
import java.net.SocketException;

public class UDPServerBench
		{
	public static void main(String args[])
	{
		DatagramSocket aSocket = null;

		try
		{
			aSocket = new DatagramSocket(6789);
			System.out.println("Socket Datagram  escuta no porto 6789");
			byte[] buffer = new byte[1000];
			DatagramPacket request = new DatagramPacket(buffer, buffer.length);

			byte[] bytes = {};
			while (true)
			{
				aSocket.receive(request);
				aSocket.send(new DatagramPacket(bytes, 0, request.getAddress(), request.getPort()));
			}
		}
		catch (SocketException e)
		{
			System.out.println("Socket: " + e.getMessage());
		}
		catch (IOException e)
		{
			System.out.println("IO: " + e.getMessage());
		}
		finally
		{
			if (aSocket != null) aSocket.close();
		}
	}
}